## abootimg 0.3

=== Makefile ===

all: abootimg

abootimg: abootimg.c bootimg.h
	gcc -g -O2 -Wno-unused-result -o abootimg abootimg.c -DHAS_BLKID -lblkid

clean:
	rm -f abootimg abootimg-static

archive: clean
	cd ..; tar cvzf abootimg.tar.gz abootimg --exclude tests --exclude tmp\* --exclude .git

## abootimg 0.6

=== Makefile ===

CPPFLAGS=-DHAS_BLKID
CFLAGS=-O3 -Wall
LDLIBS=-lblkid

all: abootimg

version.h:
	if [ ! -f version.h ]; then \
	if [ -d .git ]; then \
	echo '#define VERSION_STR "$(shell git describe --tags --abbrev=0)"' > version.h; \
	else \
	echo '#define VERSION_STR ""' > version.h; \
	fi \
	fi

abootimg.o: bootimg.h version.h

clean:
	rm -f abootimg *.o version.h

.PHONY:	clean all

=== debian/changelog ===
abootimg (0.6-2) unstable; urgency=medium

  * Team upload.
  * Maintain package in debian/ team
    Closes: #1094721
  * Switch from cdbs to dh
    Closes: #1091779
  * Fix typo in manpage
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Thu, 20 Feb 2025 09:20:11 +0100

abootimg (0.6-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Move Homepage to GitHub (Closes: #974609)
  * Convert to source format 3.0 (Closes: #1007468)
  * Prevent unpacking initrd to '/' (Closes: #955037)

 -- Bastian Germann <bage@debian.org>  Tue, 03 Oct 2023 19:25:11 +0200

abootimg (0.6-1) unstable; urgency=low

  * New upstream release

 -- Heiko Stuebner <mmind@debian.org>  Thu, 14 Jul 2011 20:54:33 +0200

abootimg (0.5+git20110704-1) unstable; urgency=low

  * New upstream snapshot
  * Fix build on GNU-Hurd
  * Bump standards to 3.9.2

 -- Heiko Stuebner <mmind@debian.org>  Mon, 04 Jul 2011 18:34:17 +0200

abootimg (0.5+git20110609-1) unstable; urgency=low

  * New upstream release (Closes: #631719)
  * Relax packaging license (Closes: #631720)
  * Install helper scripts for initramfs handling

 -- Heiko Stuebner <mmind@debian.org>  Sat, 02 Jul 2011 12:46:35 +0200

abootimg (0.3-1) unstable; urgency=low

  * Initial release (Closes: #612096)

 -- Heiko Stuebner <mmind@debian.org>  Sat, 12 Feb 2011 12:04:10 +0100

=== debian/control ===
Source: abootimg
Maintainer: Heiko Stuebner <mmind@debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libblkid-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/abootimg
Vcs-Git: https://salsa.debian.org/debian/abootimg.git
Homepage: https://github.com/ggrandou/abootimg

Package: abootimg
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Tool to read/write/update android boot images
 Android devices use a special partition format to boot any
 operating system on the devices. These boot-images contain
 a kernel image, a ramdisk, optionally a 2nd stage boot loader
 and the commandline passed to the kernel when booting.
 The original mkbootimg from Android can only create these images
 where abootimg can also extract and modify them.
 Handling android boot images is necessary when bringing other
 operating systems to android devices.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rf files/agtl.egg-info
	rm -rf tmp

override_dh_auto_configure:
	echo '#define VERSION_STR "$(DEB_VERSION_UPSTREAM)"' > version.h

override_dh_install:
	install $(CURDIR)/abootimg $(CURDIR)/debian/abootimg/usr/bin
	install -T $(CURDIR)/pack-initrd $(CURDIR)/debian/abootimg/usr/bin/abootimg-pack-initrd
	install -T $(CURDIR)/unpack-initrd $(CURDIR)/debian/abootimg/usr/bin/abootimg-unpack-initrd
